# NEON AI (TM) SOFTWARE, Software Development Kit & Application Framework
# All trademark and other rights reserved by their respective owners
# Copyright 2008-2022 Neongecko.com Inc.
# Contributors: Daniel McKnight, Guy Daniels, Elon Gasper, Richard Leeds,
# Regina Bloomstine, Casimiro Ferreira, Andrii Pernatii, Kirill Hrymailo
# BSD-3 License
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
# 3. Neither the name of the copyright holder nor the names of its
#    contributors may be used to endorse or promote products derived from this
#    software without specific prior written permission.
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
# THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
# CONTRIBUTORS  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
# OR PROFITS;  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE,  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

"""
List Generated 2022-10-11
data = requests.get("https://cloud.google.com/speech-to-text/docs/languages").text

soup = bs4.BeautifulSoup(data, 'html.parser')

tables = soup.find_all('table')
table = tables[1]
langs = {}
for row in table.find_all_next('tr'):
    columns = row.find_all_next('td')
    lang_name = columns[0].text
    lang_code = columns[1].text
    langs[lang_code] = [{'lang': lang_code,
                         'display_name': lang_name,
                         'priority': 50,
                         'offline': False
                         }]

pprint(langs)
"""
stt_config = {'af-ZA': [{'display_name': 'Afrikaans (South Africa)',
                         'lang': 'af-ZA',
                         'priority': 50,
                         'offline': False}],
              'am-ET': [{'display_name': 'Amharic (Ethiopia)',
                         'lang': 'am-ET',
                         'priority': 50,
                         'offline': False}],
              'ar-AE': [{'display_name': 'Arabic (United Arab Emirates)',
                         'lang': 'ar-AE',
                         'priority': 50,
                         'offline': False}],
              'ar-BH': [{'display_name': 'Arabic (Bahrain)',
                         'lang': 'ar-BH',
                         'priority': 50,
                         'offline': False}],
              'ar-DZ': [{'display_name': 'Arabic (Algeria)',
                         'lang': 'ar-DZ',
                         'priority': 50,
                         'offline': False}],
              'ar-EG': [{'display_name': 'Arabic (Egypt)',
                         'lang': 'ar-EG',
                         'priority': 50,
                         'offline': False}],
              'ar-IL': [{'display_name': 'Arabic (Israel)',
                         'lang': 'ar-IL',
                         'priority': 50,
                         'offline': False}],
              'ar-IQ': [{'display_name': 'Arabic (Iraq)',
                         'lang': 'ar-IQ',
                         'priority': 50,
                         'offline': False}],
              'ar-JO': [{'display_name': 'Arabic (Jordan)',
                         'lang': 'ar-JO',
                         'priority': 50,
                         'offline': False}],
              'ar-KW': [{'display_name': 'Arabic (Kuwait)',
                         'lang': 'ar-KW',
                         'priority': 50,
                         'offline': False}],
              'ar-LB': [{'display_name': 'Arabic (Lebanon)',
                         'lang': 'ar-LB',
                         'priority': 50,
                         'offline': False}],
              'ar-MA': [{'display_name': 'Arabic (Morocco)',
                         'lang': 'ar-MA',
                         'priority': 50,
                         'offline': False}],
              'ar-MR': [{'display_name': 'Arabic (Mauritania)',
                         'lang': 'ar-MR',
                         'priority': 50,
                         'offline': False}],
              'ar-OM': [{'display_name': 'Arabic (Oman)',
                         'lang': 'ar-OM',
                         'priority': 50,
                         'offline': False}],
              'ar-PS': [{'display_name': 'Arabic (State of Palestine)',
                         'lang': 'ar-PS',
                         'priority': 50,
                         'offline': False}],
              'ar-QA': [{'display_name': 'Arabic (Qatar)',
                         'lang': 'ar-QA',
                         'priority': 50,
                         'offline': False}],
              'ar-SA': [{'display_name': 'Arabic (Saudi Arabia)',
                         'lang': 'ar-SA',
                         'priority': 45,
                         'offline': False}],
              'ar-TN': [{'display_name': 'Arabic (Tunisia)',
                         'lang': 'ar-TN',
                         'priority': 50,
                         'offline': False}],
              'ar-YE': [{'display_name': 'Arabic (Yemen)',
                         'lang': 'ar-YE',
                         'priority': 50,
                         'offline': False}],
              'az-AZ': [{'display_name': 'Azerbaijani (Azerbaijan)',
                         'lang': 'az-AZ',
                         'priority': 50,
                         'offline': False}],
              'bg-BG': [{'display_name': 'Bulgarian (Bulgaria)',
                         'lang': 'bg-BG',
                         'priority': 50,
                         'offline': False}],
              'bn-BD': [{'display_name': 'Bengali (Bangladesh)',
                         'lang': 'bn-BD',
                         'priority': 50,
                         'offline': False}],
              'bn-IN': [{'display_name': 'Bengali (India)',
                         'lang': 'bn-IN',
                         'priority': 50,
                         'offline': False}],
              'bs-BA': [{'display_name': 'Bosnian (Bosnia and Herzegovina)',
                         'lang': 'bs-BA',
                         'priority': 50,
                         'offline': False}],
              'ca-ES': [{'display_name': 'Catalan (Spain)',
                         'lang': 'ca-ES',
                         'priority': 50,
                         'offline': False}],
              'cs-CZ': [{'display_name': 'Czech (Czech Republic)',
                         'lang': 'cs-CZ',
                         'priority': 50,
                         'offline': False}],
              'da-DK': [{'display_name': 'Danish (Denmark)',
                         'lang': 'da-DK',
                         'priority': 50,
                         'offline': False}],
              'de-AT': [{'display_name': 'German (Austria)',
                         'lang': 'de-AT',
                         'priority': 50,
                         'offline': False}],
              'de-CH': [{'display_name': 'German (Switzerland)',
                         'lang': 'de-CH',
                         'priority': 50,
                         'offline': False}],
              'de-DE': [{'display_name': 'German (Germany)',
                         'lang': 'de-DE',
                         'priority': 45,
                         'offline': False}],
              'el-GR': [{'display_name': 'Greek (Greece)',
                         'lang': 'el-GR',
                         'priority': 50,
                         'offline': False}],
              'en-AU': [{'display_name': 'English (Australia)',
                         'lang': 'en-AU',
                         'priority': 48,
                         'offline': False}],
              'en-CA': [{'display_name': 'English (Canada)',
                         'lang': 'en-CA',
                         'priority': 47,
                         'offline': False}],
              'en-GB': [{'display_name': 'English (United Kingdom)',
                         'lang': 'en-GB',
                         'priority': 46,
                         'offline': False}],
              'en-GH': [{'display_name': 'English (Ghana)',
                         'lang': 'en-GH',
                         'priority': 50,
                         'offline': False}],
              'en-HK': [{'display_name': 'English (Hong Kong)',
                         'lang': 'en-HK',
                         'priority': 50,
                         'offline': False}],
              'en-IE': [{'display_name': 'English (Ireland)',
                         'lang': 'en-IE',
                         'priority': 50,
                         'offline': False}],
              'en-IN': [{'display_name': 'English (India)',
                         'lang': 'en-IN',
                         'priority': 50,
                         'offline': False}],
              'en-KE': [{'display_name': 'English (Kenya)',
                         'lang': 'en-KE',
                         'priority': 50,
                         'offline': False}],
              'en-NG': [{'display_name': 'English (Nigeria)',
                         'lang': 'en-NG',
                         'priority': 50,
                         'offline': False}],
              'en-NZ': [{'display_name': 'English (New Zealand)',
                         'lang': 'en-NZ',
                         'priority': 50,
                         'offline': False}],
              'en-PH': [{'display_name': 'English (Philippines)',
                         'lang': 'en-PH',
                         'priority': 50,
                         'offline': False}],
              'en-PK': [{'display_name': 'English (Pakistan)',
                         'lang': 'en-PK',
                         'priority': 50,
                         'offline': False}],
              'en-SG': [{'display_name': 'English (Singapore)',
                         'lang': 'en-SG',
                         'priority': 50,
                         'offline': False}],
              'en-TZ': [{'display_name': 'English (Tanzania)',
                         'lang': 'en-TZ',
                         'priority': 50,
                         'offline': False}],
              'en-US': [{'display_name': 'English (United States)',
                         'lang': 'en-US',
                         'priority': 45,
                         'offline': False}],
              'en-ZA': [{'display_name': 'English (South Africa)',
                         'lang': 'en-ZA',
                         'priority': 50,
                         'offline': False}],
              'es-AR': [{'display_name': 'Spanish (Argentina)',
                         'lang': 'es-AR',
                         'priority': 50,
                         'offline': False}],
              'es-BO': [{'display_name': 'Spanish (Bolivia)',
                         'lang': 'es-BO',
                         'priority': 50,
                         'offline': False}],
              'es-CL': [{'display_name': 'Spanish (Chile)',
                         'lang': 'es-CL',
                         'priority': 50,
                         'offline': False}],
              'es-CO': [{'display_name': 'Spanish (Colombia)',
                         'lang': 'es-CO',
                         'priority': 50,
                         'offline': False}],
              'es-CR': [{'display_name': 'Spanish (Costa Rica)',
                         'lang': 'es-CR',
                         'priority': 50,
                         'offline': False}],
              'es-DO': [{'display_name': 'Spanish (Dominican Republic)',
                         'lang': 'es-DO',
                         'priority': 50,
                         'offline': False}],
              'es-EC': [{'display_name': 'Spanish (Ecuador)',
                         'lang': 'es-EC',
                         'priority': 50,
                         'offline': False}],
              'es-ES': [{'display_name': 'Spanish (Spain)',
                         'lang': 'es-ES',
                         'priority': 45,
                         'offline': False}],
              'es-GT': [{'display_name': 'Spanish (Guatemala)',
                         'lang': 'es-GT',
                         'priority': 50,
                         'offline': False}],
              'es-HN': [{'display_name': 'Spanish (Honduras)',
                         'lang': 'es-HN',
                         'priority': 50,
                         'offline': False}],
              'es-MX': [{'display_name': 'Spanish (Mexico)',
                         'lang': 'es-MX',
                         'priority': 46,
                         'offline': False}],
              'es-NI': [{'display_name': 'Spanish (Nicaragua)',
                         'lang': 'es-NI',
                         'priority': 50,
                         'offline': False}],
              'es-PA': [{'display_name': 'Spanish (Panama)',
                         'lang': 'es-PA',
                         'priority': 50,
                         'offline': False}],
              'es-PE': [{'display_name': 'Spanish (Peru)',
                         'lang': 'es-PE',
                         'priority': 50,
                         'offline': False}],
              'es-PR': [{'display_name': 'Spanish (Puerto Rico)',
                         'lang': 'es-PR',
                         'priority': 50,
                         'offline': False}],
              'es-PY': [{'display_name': 'Spanish (Paraguay)',
                         'lang': 'es-PY',
                         'priority': 50,
                         'offline': False}],
              'es-SV': [{'display_name': 'Spanish (El Salvador)',
                         'lang': 'es-SV',
                         'priority': 50,
                         'offline': False}],
              'es-US': [{'display_name': 'Spanish (United States)',
                         'lang': 'es-US',
                         'priority': 50,
                         'offline': False}],
              'es-UY': [{'display_name': 'Spanish (Uruguay)',
                         'lang': 'es-UY',
                         'priority': 50,
                         'offline': False}],
              'es-VE': [{'display_name': 'Spanish (Venezuela)',
                         'lang': 'es-VE',
                         'priority': 50,
                         'offline': False}],
              'et-EE': [{'display_name': 'Estonian (Estonia)',
                         'lang': 'et-EE',
                         'priority': 50,
                         'offline': False}],
              'eu-ES': [{'display_name': 'Basque (Spain)',
                         'lang': 'eu-ES',
                         'priority': 50,
                         'offline': False}],
              'fa-IR': [{'display_name': 'Persian (Iran)',
                         'lang': 'fa-IR',
                         'priority': 50,
                         'offline': False}],
              'fi-FI': [{'display_name': 'Finnish (Finland)',
                         'lang': 'fi-FI',
                         'priority': 50,
                         'offline': False}],
              'fil-PH': [{'display_name': 'Filipino (Philippines)',
                          'lang': 'fil-PH',
                          'offline': False}],
              'fr-BE': [{'display_name': 'French (Belgium)',
                         'lang': 'fr-BE',
                         'priority': 50,
                         'offline': False}],
              'fr-CA': [{'display_name': 'French (Canada)',
                         'lang': 'fr-CA',
                         'priority': 50,
                         'offline': False}],
              'fr-CH': [{'display_name': 'French (Switzerland)',
                         'lang': 'fr-CH',
                         'priority': 50,
                         'offline': False}],
              'fr-FR': [{'display_name': 'French (France)',
                         'lang': 'fr-FR',
                         'priority': 45,
                         'offline': False}],
              'gl-ES': [{'display_name': 'Galician (Spain)',
                         'lang': 'gl-ES',
                         'priority': 50,
                         'offline': False}],
              'gu-IN': [{'display_name': 'Gujarati (India)',
                         'lang': 'gu-IN',
                         'priority': 50,
                         'offline': False}],
              'hi-IN': [{'display_name': 'Hindi (India)',
                         'lang': 'hi-IN',
                         'priority': 50,
                         'offline': False}],
              'hr-HR': [{'display_name': 'Croatian (Croatia)',
                         'lang': 'hr-HR',
                         'priority': 50,
                         'offline': False}],
              'hu-HU': [{'display_name': 'Hungarian (Hungary)',
                         'lang': 'hu-HU',
                         'priority': 50,
                         'offline': False}],
              'hy-AM': [{'display_name': 'Armenian (Armenia)',
                         'lang': 'hy-AM',
                         'priority': 50,
                         'offline': False}],
              'id-ID': [{'display_name': 'Indonesian (Indonesia)',
                         'lang': 'id-ID',
                         'priority': 50,
                         'offline': False}],
              'is-IS': [{'display_name': 'Icelandic (Iceland)',
                         'lang': 'is-IS',
                         'priority': 50,
                         'offline': False}],
              'it-CH': [{'display_name': 'Italian (Switzerland)',
                         'lang': 'it-CH',
                         'priority': 50,
                         'offline': False}],
              'it-IT': [{'display_name': 'Italian (Italy)',
                         'lang': 'it-IT',
                         'priority': 50,
                         'offline': False}],
              'iw-IL': [{'display_name': 'Hebrew (Israel)',
                         'lang': 'iw-IL',
                         'priority': 50,
                         'offline': False}],
              'ja-JP': [{'display_name': 'Japanese (Japan)',
                         'lang': 'ja-JP',
                         'priority': 50,
                         'offline': False}],
              'jv-ID': [{'display_name': 'Javanese (Indonesia)',
                         'lang': 'jv-ID',
                         'priority': 50,
                         'offline': False}],
              'ka-GE': [{'display_name': 'Georgian (Georgia)',
                         'lang': 'ka-GE',
                         'priority': 50,
                         'offline': False}],
              'kk-KZ': [{'display_name': 'Kazakh (Kazakhstan)',
                         'lang': 'kk-KZ',
                         'priority': 50,
                         'offline': False}],
              'km-KH': [{'display_name': 'Khmer (Cambodia)',
                         'lang': 'km-KH',
                         'priority': 50,
                         'offline': False}],
              'kn-IN': [{'display_name': 'Kannada (India)',
                         'lang': 'kn-IN',
                         'priority': 50,
                         'offline': False}],
              'ko-KR': [{'display_name': 'Korean (South Korea)',
                         'lang': 'ko-KR',
                         'priority': 50,
                         'offline': False}],
              'lo-LA': [{'display_name': 'Lao (Laos)',
                         'lang': 'lo-LA',
                         'priority': 50,
                         'offline': False}],
              'lt-LT': [{'display_name': 'Lithuanian (Lithuania)',
                         'lang': 'lt-LT',
                         'priority': 50,
                         'offline': False}],
              'lv-LV': [{'display_name': 'Latvian (Latvia)',
                         'lang': 'lv-LV',
                         'priority': 50,
                         'offline': False}],
              'mk-MK': [{'display_name': 'Macedonian (North Macedonia)',
                         'lang': 'mk-MK',
                         'priority': 50,
                         'offline': False}],
              'ml-IN': [{'display_name': 'Malayalam (India)',
                         'lang': 'ml-IN',
                         'priority': 50,
                         'offline': False}],
              'mn-MN': [{'display_name': 'Mongolian (Mongolia)',
                         'lang': 'mn-MN',
                         'priority': 50,
                         'offline': False}],
              'mr-IN': [{'display_name': 'Marathi (India)',
                         'lang': 'mr-IN',
                         'priority': 50,
                         'offline': False}],
              'ms-MY': [{'display_name': 'Malay (Malaysia)',
                         'lang': 'ms-MY',
                         'priority': 50,
                         'offline': False}],
              'my-MM': [{'display_name': 'Burmese (Myanmar)',
                         'lang': 'my-MM',
                         'priority': 50,
                         'offline': False}],
              'ne-NP': [{'display_name': 'Nepali (Nepal)',
                         'lang': 'ne-NP',
                         'priority': 50,
                         'offline': False}],
              'nl-BE': [{'display_name': 'Dutch (Belgium)',
                         'lang': 'nl-BE',
                         'priority': 50,
                         'offline': False}],
              'nl-NL': [{'display_name': 'Dutch (Netherlands)',
                         'lang': 'nl-NL',
                         'priority': 50,
                         'offline': False}],
              'no-NO': [{'display_name': 'Norwegian Bokmål (Norway)',
                         'lang': 'no-NO',
                         'priority': 50,
                         'offline': False}],
              'pa-Guru-IN': [{'display_name': 'Punjabi (Gurmukhi India)',
                              'lang': 'pa-Guru-IN',
                              'offline': False}],
              'pl-PL': [{'display_name': 'Polish (Poland)',
                         'lang': 'pl-PL',
                         'priority': 50,
                         'offline': False}],
              'pt-BR': [{'display_name': 'Portuguese (Brazil)',
                         'lang': 'pt-BR',
                         'priority': 50,
                         'offline': False}],
              'pt-PT': [{'display_name': 'Portuguese (Portugal)',
                         'lang': 'pt-PT',
                         'priority': 45,
                         'offline': False}],
              'ro-RO': [{'display_name': 'Romanian (Romania)',
                         'lang': 'ro-RO',
                         'priority': 50,
                         'offline': False}],
              'ru-RU': [{'display_name': 'Russian (Russia)',
                         'lang': 'ru-RU',
                         'priority': 50,
                         'offline': False}],
              'si-LK': [{'display_name': 'Sinhala (Sri Lanka)',
                         'lang': 'si-LK',
                         'priority': 50,
                         'offline': False}],
              'sk-SK': [{'display_name': 'Slovak (Slovakia)',
                         'lang': 'sk-SK',
                         'priority': 50,
                         'offline': False}],
              'sl-SI': [{'display_name': 'Slovenian (Slovenia)',
                         'lang': 'sl-SI',
                         'priority': 50,
                         'offline': False}],
              'sq-AL': [{'display_name': 'Albanian (Albania)',
                         'lang': 'sq-AL',
                         'priority': 50,
                         'offline': False}],
              'sr-RS': [{'display_name': 'Serbian (Serbia)',
                         'lang': 'sr-RS',
                         'priority': 50,
                         'offline': False}],
              'su-ID': [{'display_name': 'Sundanese (Indonesia)',
                         'lang': 'su-ID',
                         'priority': 50,
                         'offline': False}],
              'sv-SE': [{'display_name': 'Swedish (Sweden)',
                         'lang': 'sv-SE',
                         'priority': 50,
                         'offline': False}],
              'sw-KE': [{'display_name': 'Swahili (Kenya)',
                         'lang': 'sw-KE',
                         'priority': 50,
                         'offline': False}],
              'sw-TZ': [{'display_name': 'Swahili (Tanzania)',
                         'lang': 'sw-TZ',
                         'priority': 50,
                         'offline': False}],
              'ta-IN': [{'display_name': 'Tamil (India)',
                         'lang': 'ta-IN',
                         'priority': 50,
                         'offline': False}],
              'ta-LK': [{'display_name': 'Tamil (Sri Lanka)',
                         'lang': 'ta-LK',
                         'priority': 50,
                         'offline': False}],
              'ta-MY': [{'display_name': 'Tamil (Malaysia)',
                         'lang': 'ta-MY',
                         'priority': 50,
                         'offline': False}],
              'ta-SG': [{'display_name': 'Tamil (Singapore)',
                         'lang': 'ta-SG',
                         'priority': 50,
                         'offline': False}],
              'te-IN': [{'display_name': 'Telugu (India)',
                         'lang': 'te-IN',
                         'priority': 50,
                         'offline': False}],
              'th-TH': [{'display_name': 'Thai (Thailand)',
                         'lang': 'th-TH',
                         'priority': 50,
                         'offline': False}],
              'tr-TR': [{'display_name': 'Turkish (Turkey)',
                         'lang': 'tr-TR',
                         'priority': 50,
                         'offline': False}],
              'uk-UA': [{'display_name': 'Ukrainian (Ukraine)',
                         'lang': 'uk-UA',
                         'priority': 50,
                         'offline': False}],
              'ur-IN': [{'display_name': 'Urdu (India)',
                         'lang': 'ur-IN',
                         'priority': 50,
                         'offline': False}],
              'ur-PK': [{'display_name': 'Urdu (Pakistan)',
                         'lang': 'ur-PK',
                         'priority': 50,
                         'offline': False}],
              'uz-UZ': [{'display_name': 'Uzbek (Uzbekistan)',
                         'lang': 'uz-UZ',
                         'priority': 50,
                         'offline': False}],
              'vi-VN': [{'display_name': 'Vietnamese (Vietnam)',
                         'lang': 'vi-VN',
                         'priority': 50,
                         'offline': False}],
              'yue-Hant-HK': [{'display_name': 'Chinese, Cantonese (Traditional Hong Kong)',
                               'lang': 'yue-Hant-HK',
                               'priority': 50,
                               'offline': False}],
              'cmn-Hans-CN': [{'display_name': 'Chinese, Mandarin (Simplified, China)',
                               'lang': 'zh (cmn-Hans-CN)',
                               'priority': 45,
                               'offline': False}],
              'cmn-Hant-TW': [{'display_name': 'Chinese, Mandarin (Traditional, '
                                               'Taiwan)',
                               'lang': 'zh-TW (cmn-Hant-TW)',
                               'priority': 50,
                               'offline': False}],
              'zu-ZA': [{'display_name': 'Zulu (South Africa)',
                         'lang': 'zu-ZA',
                         'priority': 50,
                         'offline': False}]
              }
